using ConsoleApp1;
using Microsoft.EntityFrameworkCore;
using System;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static async Task Main(string[] args)
        {
            // DbContextの設定などは省略しています。実際には接続文字列などを設定してください。
            var options = new DbContextOptionsBuilder<DbContext>()
                .UseOracle("Your Connection String")
                .Options;

            using (var context = new DbContext(options))
            {
                var repository = new Repository(context);
                var service = new Service(repository);
                var controller = new Controller(service);

                // 定点発注処理の開始
                await controller.FixedPointOrderingControllerAsync();
            }

            Console.WriteLine("定点発注処理が完了しました。");
        }
    }
}