package com.example;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.batch.core.*;
import org.springframework.batch.core.launch.JobLauncher;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BatchJobLauncher {

    private static final Logger logger = LoggerFactory.getLogger(BatchJobLauncher.class);

    @Autowired
    private JobLauncher jobLauncher;

    @Autowired
    private Job job;

    public void run() {

        try {
            logger.info("定点発注バッチの起動開始");
            JobParameters jobParameters = new JobParametersBuilder()
                    .addLong("time", System.currentTimeMillis())
                    .toJobParameters();
            JobExecution execution = jobLauncher.run(job, jobParameters);
            logger.info("定点発注バッチの終了 ステータス: {}", execution.getStatus());
        } catch (Exception e) {
            logger.error("定点発注バッチの実行中にエラーが発生しました", e);
        }
    }
}