package com.example.entity;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 月初商品在庫テーブル (MONTHLY_PRODUCT_STOCK)
 */
@Entity
@Table(name = "MONTHLY_PRODUCT_STOCK")
public class MonthlyProductStockEntity {

    /**
     * 月初在庫ID (PK)
     */
    @Id
    @Column(name = "ID")
    private Long id;

    /**
     * 商品ID (FK)
     */
    @Column(name = "PRODUCT_ID", nullable = false)
    private Long productId;

    /**
     * 集計月
     */
    @Column(name = "MONTH_OF_COLLECTION", nullable = false, precision = 6)
    private Integer monthOfCollection;

    /**
     * 数量
     */
    @Column(name = "QUANTITY", nullable = false, precision = 10)
    private BigDecimal quantity;

    // Getters and Setters
}