package com.example.entity;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * 発注テーブル (ORDER)
 */
@Entity
@Table(name = "ORDER")
public class OrderEntity {

    /**
     * 発注ID (PK)
     */
    @Id
    @Column(name = "ID")
    private Long id;

    /**
     * 商品ID (FK)
     */
    @Column(name = "PRODUCT_ID", nullable = false)
    private Long productId;

    /**
     * 発注数量
     */
    @Column(name = "ORDER_QUANTITY", nullable = false, precision = 10)
    private BigDecimal orderQuantity;

    /**
     * 発注日付
     */
    @Column(name = "ORDER_DATE", nullable = false)
    private LocalDateTime orderDate;

    /**
     * 発注ステータス
     */
    @Column(name = "ORDER_STATUS", nullable = false, precision = 1)
    private Integer orderStatus;

    /**
     * 仕入先ID
     */
    @Column(name = "SUPPLIER_ID", nullable = false)
    private Long supplierId;

    // Getters and Setters
}