package com.example.entity;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * 商品テーブル (PRODUCT)
 */
@Entity
@Table(name = "PRODUCT")
public class ProductEntity {

    /**
     * 商品ID (PK)
     */
    @Id
    @Column(name = "ID")
    private Long id;

    /**
     * 商品名
     */
    @Column(name = "PRODUCT_NAME", nullable = false, length = 50)
    private String productName;

    /**
     * 在庫レベル
     */
    @Column(name = "INVENTORY_LEVEL", nullable = false)
    private Integer inventoryLevel;

    /**
     * 安全在庫数量
     */
    @Column(name = "SAFETYSTOCK_OF_NUMBER", nullable = true, precision = 10)
    private BigDecimal safetyStockOfNumber;

    /**
     * 取引先ID
     */
    @Column(name = "VENDOR_ID", nullable = false)
    private Long vendorId;

    /**
     * 平均仕入金額
     */
    @Column(name = "AVERAGE_PURCHASE_AMOUNT", nullable = false, precision = 10)
    private BigDecimal averagePurchaseAmount;

    /**
     * 自動発注単位
     */
    @Column(name = "AUTOMATIC_ORDER_UNIT", nullable = true, precision = 10)
    private BigDecimal automaticOrderUnit;

    // Getters and Setters
}