package com.example.entity;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * 入出荷テーブル (RECEIPT_SHIPMENT)
 */
@Entity
@Table(name = "RECEIPT_SHIPMENT")
public class ReceiptShipmentEntity {

    /**
     * 入出荷ID (PK)
     */
    @Id
    @Column(name = "ID")
    private Long id;

    /**
     * 商品ID (FK)
     */
    @Column(name = "PRODUCT_ID", nullable = false)
    private Long productId;

    /**
     * 在庫変更タイプ
     */
    @Column(name = "INVENTORY_CHANGE_TYPE", nullable = false, precision = 1)
    private Integer inventoryChangeType;

    /**
     * 入出荷数量
     */
    @Column(name = "QUANTITY", nullable = false, precision = 10)
    private BigDecimal quantity;

    /**
     * 入出荷日時
     */
    @Column(name = "TRANSACTION_DATE_TIME", nullable = false)
    private LocalDateTime transactionDateTime;

    // Getters and Setters
}