package com.example.repository;

import com.example.entity.MonthlyProductStockEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import java.util.Optional;

public interface MonthlyProductStockRepository extends JpaRepository<MonthlyProductStockEntity, Long> {

    @Query("SELECT mps.quantity FROM MonthlyProductStockEntity mps WHERE mps.productId = :productId AND mps.monthOfCollection = TO_CHAR(CURRENT_DATE, 'yyyymm')")
    Optional<BigDecimal> findQuantityByProductIdAndCurrentMonth(Long productId);
}