package com.example.repository;

import com.example.entity.OrderEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import java.util.Optional;

public interface OrderRepository extends JpaRepository<OrderEntity, Long> {

    @Query("SELECT o FROM OrderEntity o WHERE o.productId = :productId AND o.orderStatus IN (1, 2, 3)")
    Optional<OrderEntity> findActiveOrderByProductId(Long productId);
}