package com.example.repository;

import com.example.entity.ReceiptShipmentEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Optional;

public interface ReceiptShipmentRepository extends JpaRepository<ReceiptShipmentEntity, Long> {

    @Query("SELECT SUM(rs.quantity) FROM ReceiptShipmentEntity rs WHERE rs.productId = :productId AND rs.inventoryChangeType = 1 AND rs.transactionDateTime <= :startOfMonth AND rs.transactionDateTime >= :currentDate")
    Optional<BigDecimal> findTotalIncomingQuantityByProductId(Long productId, LocalDateTime startOfMonth, LocalDateTime currentDate);

    @Query("SELECT SUM(rs.quantity) FROM ReceiptShipmentEntity rs WHERE rs.productId = :productId AND rs.inventoryChangeType = 2 AND rs.transactionDateTime <= :startOfMonth AND rs.transactionDateTime >= :currentDate")
    Optional<BigDecimal> findTotalOutgoingQuantityByProductId(Long productId, LocalDateTime startOfMonth, LocalDateTime currentDate);
}